--- title: "POST | Sign request" slug: "api-clm-sign-request" updated: 2026-11-03T14:48:02Z published: 2026-11-03T14:48:02Z canonical: "docs.senhasegura.io/api-clm-sign-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # POST | Sign request Signs an existing certificate request. - **Endpoint**: `/api/certificate/request/sign` - **Method**: `POST` - **Request**: `POST /api/certificate/request/sign` ## Request parameters | Parameter | Type | Required | Description | | --- | --- | --- | --- | | `code_request` | `int` | Yes | Certificate request ID to be signed. | | `self_signed` | `int` | Yes | Indicates if it's self-signed. The options are: 1 = `true` and 0 = `false`. | | `ca` | `int` | Conditional | The CA code is responsible for request signing. This code is necessary if `self\_signed` is set to false. | | `justification` | `string` | No | Justification text (max. 1024 characters). | | `reason` | `int` | Yes | Reason code for signing. There must be a valid reason code in the **Segura™ Platform**. | | `itsm_code` | `string` | Conditional | ITSM code. Required if the **Governance code required when justifying** field is enabled in the certificate access group. | ### Example using cURL ``` curl -X POST https://[segura_vault_url]/api/certificate/request/sign/123 \ -H "Authorization: Bearer YOUR_API_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "self_signed": 0, "ca": 5, "justification": "Annual certificate renewal", "reason": 3, "itsm_code": "CHG0012345" }' ``` ### Response ``` { "status": 200, "message": "Request signed successfully", "error": false, "code_request": 123, "self_signed": 0, "ca": "5 - GlobalSign", "justification": "Annual certificate renewal", "reason": "3 - Scheduled Renewal", "itsm_code": "CHG0012345" } ``` ### Error responses | HTTP Status Code | Description | | --- | --- | | **400 Bad Request** | Invalid parameters provided. | | **401 Unauthorized** | Unauthorized access. | | **403 Forbidden** | Forbidden access. | | **404 Not Found** | Resource not found. | | **500 Internal Server Error** | Internal server error. |